APIWebhooks
List webhooks
List webhooks. Endpoint URLs, signing secrets, header values, and variable values are never returned.
GET
List webhooks. Endpoint URLs, signing secrets, header values, and variable values are never returned.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_webhooksoffset?integerNumber of items to skip before returning results.
Format
int32Range
0 <= valueDefault
0limit?integerMaximum number of items to return per page.
Format
int32Range
0 <= value <= 256Default
10The request has succeeded.
application/json- response
A page of results together with its paging information.
items*array<>The items in this page.
meta*Paging information for a list response.
curl -X GET "https://example.com/webhooks"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "url_hint": "string", "events": [ "string" ], "status": "active", "disabled_reason": "circuit_breaker", "failing_since": "2019-08-24T14:15:22Z", "last_delivery_status": "pending", "last_delivery_at": "2019-08-24T14:15:22Z", "format": "single", "max_events": 0, "has_custom_headers": true, "header_keys": [ "string" ], "template": "string", "condition": "string", "destination": "string", "var_keys": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}